Subject: Re: [oauth-ext-review] [IANA #1216703] Expert Review for draft-ietf-oauth-iss-auth-resp (oauth-parameters)

From: Mike Jones <[email-masked]>
Date: Thu, 13 Jan 2022 01:40:24 +0000

I also approve of the registration of this parameter.

                                                       -- Mike

From: Dick Hardt <[email-masked]>
Sent: Thursday, January 6, 2022 6:05 PM
To: [email-masked]
Cc: Mike Jones <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [IANA #1216703] Expert Review for draft-ietf-oauth-iss-auth-resp (oauth-parameters)

Given you sent the initial review a few months ago, let’s not hold up the process and move forward.

On Thu, Jan 6, 2022 at 7:23 PM Amanda Baber via RT <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

On Fri Jan 07 01:12:36 2022, [email-masked]<mailto:[email-masked]> wrote:
> Unfortunately I don’t know what the approval process is — I don’t feel
> I
> need to discuss or review with the others — the IANA registration is
> pretty
> straightforward and I have not heard any controversy about it
>
> I recall at least 2 of the other experts are aligned on the underlying
> spec.

It's up to the experts: some groups prefer explicit unanimous or majority approval, while others are OK with a single approval (sometimes depending on what's being registered). One group rotates approval duties on a monthly basis.

We can move forward with this if you're OK with giving us the go-ahead. For what it's worth, the initial approval request was sent in mid-November, and we haven't seen any other responses.

Should we make the registration now or wait for Michael, Nat, and John?

thanks,
Amanda

> On Thu, Jan 6, 2022 at 6:46 PM Amanda Baber via RT <
> [email-masked]<mailto:[email-masked]>> wrote:
>
> > Hi Dick,
> >
> > Should we wait for further approvals or proceed with the
> > registration? The
> > document has been approved by the IESG, so we can move ahead now once
> > one
> > or more experts instruct us to do so.
> >
> > thanks,
> > Amanda
> >
> > On Wed Jan 05 16:14:21 2022, [email-masked]<mailto:[email-masked]> wrote:
> > > I'm fine with the IANA registry update.
> > > ᐧ
> > >
> > > On Tue, Jan 4, 2022 at 7:19 AM Rifaat Shekh-Yusef <
> > [email-masked]<mailto:[email-masked]>>
> > > wrote:
> > >
> > > > Mike, Nat, John, Dick,
> > > >
> > > > Can you please take a look at this to allow us to make progress
> > > > with
> > this
> > > > document?
> > > >
> > > > Thanks,
> > > >  Rifaat
> > > >
> > > >
> > > > On Mon, Jan 3, 2022 at 8:57 PM Amanda Baber via RT <
> > > > [email-masked]<mailto:[email-masked]>> wrote:
> > > >
> > > >> Attn: Michael, Nat, John and Dick (OAuth Authorization Server
> > > >> Metadata
> > > >> registry experts)
> > > >>
> > > >> Have you had a chance to review the request in this document?
> > > >>
> > > >> https://datatracker.ietf.org/doc/draft-ietf-oauth-iss-auth-resp/
> > > >>
> > > >> Is approval from all four experts required?
> > > >>
> > > >> thanks,
> > > >>
> > > >> Amanda Baber
> > > >> IANA Operations Manager
> > > >>
> > > >> On Wed Nov 24 21:27:25 2021, amanda.baber wrote:
> > > >> > Attn: Michael, Nat, John and Dick (OAuth Authorization Server
> > Metadata
> > > >> > registry experts)
> > > >> >
> > > >> > I'm resending a review request for a document that's listed on
> > > >> > the
> > > >> > next IESG telechat. Can you get to this before 12/2?
> > > >> >
> > > >> > Please let us know if approval from all four experts is
> > > >> > required.
> > > >> >
> > > >> > thanks,
> > > >> >
> > > >> > Amanda Baber
> > > >> > IANA Operations Manager
> > > >> >
> > > >> > On Tue Nov 16 21:09:23 2021, michelle.cotton wrote:
> > > >> > > Mailing List/Expert Review requested
> > > >> > >
> > > >> > > Attn: Michael, Nat, John and Dick (OAuth Authorization
> > > >> > > Server
> > > >> > > Metadata
> > > >> > > registry experts)
> > > >> > >
> > > >> > > As the designated experts for the OAuth Authorization Server
> > Metadata
> > > >> > > registry, can you review the proposed registration in draft-
> > > >> > > oauth-
> > > >> > > iss-
> > > >> > > auth-resp for us? Please see:
> > > >> > >
> > > >> > > https://datatracker.ietf.org/doc/draft-ietf-oauth-iss-auth-
> > > >> > > resp/
> > > >> > >
> > > >> > > A single, new registration is being requested:
> > > >> > >
> > > >> > > Metadata Name:
> > > >> > > authorization_response_iss_parameter_supported
> > > >> > > Metadata Description: Boolean value indicating whether the
> > > >> > > authorization server provides the iss parameter in the
> > authorization
> > > >> > > response.
> > > >> > > Change Controller: IESG
> > > >> > > Reference: [ RFC-to-be; Section 3 ]
> > > >> > >
> > > >> > > If this is request is OK, when the IESG approves the
> > > >> > > document for
> > > >> > > publication, we'll make the registration at
> > > >> > >
> > > >> > > https://www.iana.org/assignments/oauth-parameters/
> > > >> > >
> > > >> > > If you're the first expert to submit a review, please let us
> > > >> > > know
> > > >> > > whether you want us to wait for both reviewers to respond
> > > >> > > before
> > we
> > > >> > > mark the document "IANA OK" (or send your comments to the
> > authors, if
> > > >> > > the registrations aren't OK).
> > > >> > >
> > > >> > > The IESG has asked us to set a two-week deadline for
> > > >> > > registration
> > > >> > > reviews. The due date for this request is 2021-11-30.
> > > >> > >
> > > >> > > Thank you,
> > > >> > >
> > > >> > > Michelle Cotton
> > > >> > > IANA Services
> > > >>
> > > >> _______________________________________________
> > > >> oauth-ext-review mailing list
> > > >> [email-masked]<mailto:[email-masked]>
> > > >> https://www.ietf.org/mailman/listinfo/oauth-ext-review
> > > >>
> > > >
> >
> >